> For the complete documentation index, see [llms.txt](https://docs.deso.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.deso.org/deso-backend/api/admin-endpoints.md).

# Admin Endpoints

## Admin Node Endpoints

### Node Control

```
POST /api/v0/admin/node-control
```

### Get Mempool Stats

```
POST /api/v0/admin/get-mempool-stats
```

TODO

## Admin Transaction Endpoints

### Get Global Params

```
POST /api/v0/admin/get-global-params
```

TODO

### Update Global Params

```
POST /api/v0/admin/update-global-params
```

TODO

### Swap Identity

```
POST /api/v0/admin/swap-identity
```

TODO

## Admin User Endpoints

### Update User Global Metadata

```
POST /api/v0/admin/update-user-global-metadata
```

TODO

### Get All User Global Metadata

```
POST /api/v0/admin/get-all-user-global-metadata
```

TODO

### Get User Global Metadata

```
POST /api/v0/admin/get-user-global-metadata
```

TODO

### Grant Verification Badge

```
POST /api/v0/admin/grant-verification-badge
```

TODO

### Remove Verification Badge

```
POST /api/v0/admin/remove-verification-badge
```

TODO

### Get Verified Users

```
POST /api/v0/admin/get-verified-users
```

TODO

### Get Username Verification Audit Logs

```
POST /api/v0/admin/get-username-verification-audit-logs
```

TODO

## Admin Feed Endpoints

### Update Global Feed

```
POST /api/v0/admin/update-global-feed
```

TODO

### Pin Post

```
POST /api/v0/admin/pin-post
```

TODO

### Remove Nil Posts

```
POST /api/v0/admin/remove-nil-posts
```

TODO


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.deso.org/deso-backend/api/admin-endpoints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
